- Comparison operators: $gt $gte $lt $lte $ne $in $nin
- Boolean operators: $or $and $not $nor
- Element operators: $exists
- Array operators: $all $elemMatch $size
- Group accumulator operators: $sum $avg $first $last $max $min $push $addToSet
- Date operators: $dayOfYear $dayOfMonth $dayOfWeek $year $month $week $hour $minute $second $millisecond
- String operators: $concat $substr $toLower $toUpper $strcasecmp $regex $options
- Arithmetic operators: $add $subtract $multiply $divide $mod
- Set operators: $setEquals $setIntersection $setUnion $setDifference $setIsSubset $anyElementTrue $allElementsTruecurl --location --request POST 'https://api.socialidnow.com/v1/marketing/datastore/schemas//objects/search' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data-raw '{
"match": {
"email": {
"$exists": true
}
}
}'{
"total": 2,
"count": 2,
"offset": 0,
"results": [
{
"object_id": "54481188e5cb7cffe4000003",
"user_id": 340,
"created_at": "2014-10-24T14:48:00Z",
"updated_at": "2014-10-24T14:48:00Z",
"email": "john@example.com",
"second_field": 123
}
]
}